> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# レビュータスクを送信

> レビュータスクを送信します



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/review/task/submit
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/review/task/submit:
    post:
      tags:
        - スマートレビュー
      summary: レビュータスクを送信
      description: レビュータスクを送信します
      operationId: submitReviewTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: '1234567890'
                name:
                  type: string
                  description: タスク名
                  example: レビュータスク 1
                  maxLength: 100
                repo_id:
                  type: string
                  description: レビュー規則リポジトリ ID
                  example: '31415926'
                extract_task_ids:
                  type: array
                  items:
                    type: string
                    description: 抽出タスク ID
                    example: '1234567890'
                batch_number:
                  type: string
                  description: バッチ番号
                  example: '1234567890'
                model:
                  type: string
                  description: >
                    レビュータスクモデル（任意）。指定可能な値：`deepseek-v4-pro`、`qwen3.6-plus`、`qwen3.7-max`、`ORM-O1`。省略した場合は、ルールリポジトリのデフォルトレビューモデルが使用されます。


                    2026-07-08 以降、以下の旧モデルは廃止されました。対応する代替モデルを使用してください：


                    | 旧モデル | 代替モデル |

                    | --- | --- |

                    | `deepseek-r1` | `deepseek-v4-pro` |

                    | `qwq-32b` | `qwen3.6-plus` |

                    | `qwen3-max` | `qwen3.7-max` |
                  example: deepseek-v4-pro
              required:
                - workspace_id
                - name
                - repo_id
      responses:
        '200':
          description: レビュータスクの送信に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          task_id:
                            type: string
                            description: レビュータスク ID
                            example: '31415926'
                          model:
                            type: string
                            description: >-
                              このタスクで実際に使用されたレビューモデルの表示名。廃止済みのデフォルトモデルがプラットフォームルールにより代替された場合は、代替後のモデル表示名を返します。
                            example: deepseek-v4-pro
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````